﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridTCLTabNavCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Eric;Tom;Steve".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    Info = new TemplateLayoutInfo() { Name = names[i], Age = r.Next(10, 50), Number1 = r.Next(1000), Number2 = r.Next(1000) }
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }         
        public TemplateLayoutInfo Info { get; set; }
    }

    public class TemplateLayoutInfo
    {
        public string Name { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }
        public int Age { get; set; }
    }
}
